makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Instance Methods | Class Methods | List of all members
FeatureTemplateRepository Class Reference

`#import <FeatureTemplate.h>`

Inherits NSObject.

## Instance Methods
(id) | - init
(FeatureTemplate *) | - Get:
(int) | - GetCount
(void) | - Add:
(NSMutableDictionary *) | - ToJSON
(NSString *) | - ToJSONString

## Class Methods
(FeatureTemplateRepository *) | + FromJSON:
(FeatureTemplateRepository *) | + FromJSONString:

## Detailed Description

Contains a list of feature templates.

## Method Documentation

## ◆ Add:

- (void) Add: |  | (FeatureTemplate *) | featureTemplate |

Adds new FeatureTemplate object to the repository.

Parameters

  featureTemplate | FeatureTemplate object

## ◆ FromJSON:

+ (FeatureTemplateRepository *) FromJSON: |  | (NSDictionary *) | JSON_data |

Returns FeatureTemplateRepository object out of JSON dictionary.

Parameters

  JSON_data | JSON string

Returns
  deserialized FeatureTemplateRepository object

## ◆ FromJSONString:

+ (FeatureTemplateRepository *) FromJSONString: |  | (NSString *) | JSON_data |

Returns FeatureTemplateRepository object out of JSON string.

Parameters

  JSON_data | JSON string

Returns
  deserialized FeatureTemplateRepository object

## ◆ Get:

- (FeatureTemplate *) Get: |  | (int) | i |

Returns FeatureTemplate object at index i.

Parameters

  i | index

Returns
  FeatureTemplate object at given index

## ◆ GetCount

- (int) GetCount |  |  |

Returns total number of stored feature templates.

Returns
  the number of FeatureTemplate objects in the repository

## ◆ init

- (id) init |  |  |

Initializes new FeatureTemplateRepository.

## ◆ ToJSON

- (NSMutableDictionary *) ToJSON |  |  |

Returns JSON representation out of this FeatureTemplateRepository object

Returns
  JSON representation of this FeatureTemplateRepository returned as NSMutableDictionary

## ◆ ToJSONString

- (NSString *) ToJSONString |  |  |

Returns JSON string out of FeatureTemplateRepository object

Parameters

  featureTemplateRepository | FeatureTemplateRepository object

Returns
  JSON representation of this FeatureTemplateRepository returned as string